<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('esgs', function (Blueprint $table) {
            $table->id();
            $table->string('keyword')->index();
            $table->json('title')->comment('標題');
            $table->json("description")->comment("短文");
            $table->string("banner_pc")->comment("banner for pc");
            $table->string("banner_mobile")->comment("banner for mobile");
            $table->json("banner_alt")->comment("banner alt");
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('esgs');
    }
};
